質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.32%

stylesheet_link_tag がエラーになる

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,545

ryuji.morimoto

score 10

Ruby on Railsの勉強をしています。
要約開発環境の構築ができたのですが、
実際に表示させると下記のエラーが表示されることが
わかりました。

イメージ説明

初心者のため、何が原因でエラーが起きているかわからず、
困っています。

対策方法はどのようにすればよろしいでしょうか?

また、対策を検討するにあたり何の情報を提供すれば良いかも
わかっていないので、必要な情報があればご教授いただけますと幸いです。

よろしくお願いします。

ーーーーーーーーーーーーーーーーーーーーーーーーーー
バージョン情報
Ruby 2.2.5
Rails 5.0.0.1

エラー内容表示
コマンド >rails s
localhost:3000を開くと、下記のようなエラーが表示されます。

Your bundle is locked to rails (5.0.0.1), but that version could not be found in
 any of the sources listed in your Gemfile. If you haven't changed sources, that
 means the author of rails (5.0.0.1) has removed it. You'll need to update your
bundle to a different version of rails (5.0.0.1) that hasn't been removed in ord
er to install.
Run `bundle install` to install missing gems.

C:\RubyWork\gatebook> gem install rails --version="~> 4.2.3" --no-ri --no-rdoc
Successfully installed rails-4.2.7.1
1 gem installed

C:\RubyWork\gatebook>rails -v
Could not find gem 'rails (>= 5.0.0.1, ~> 5.0.0) x64-mingw32' in any of the gem
sources listed in your Gemfile or available on this machine.
Run `bundle install` to install missing gems.

C:\RubyWork\gatebook>bundle install
Fetching gem metadata from https://rubygems.org/..........
Fetching version metadata from https://rubygems.org/..
Fetching dependency metadata from https://rubygems.org/.
Resolving dependencies...
Bundler could not find compatible versions for gem "activemodel":
  In snapshot (Gemfile.lock):
    activemodel (= 4.2.7.1)

  In Gemfile:
rails (>= 5.0.0.1, ~> 5.0.0) x64-mingw32 was resolved to 5.0.0.1, which
depends on
      activemodel (= 5.0.0.1) x64-mingw32

rails (>= 5.0.0.1, ~> 5.0.0) x64-mingw32 was resolved to 5.0.0.1, which
depends on
      activemodel (= 5.0.0.1) x64-mingw32

    web-console x64-mingw32 was resolved to 3.4.0, which depends on
      activemodel (>= 5.0) x64-mingw32

Running `bundle update` will rebuild your snapshot from scratch, using only
the gems in your Gemfile, which may resolve the conflict.

C:\RubyWork\gatebook>rails -v
Could not find gem 'rails (>= 5.0.0.1, ~> 5.0.0) x64-mingw32' in any of the gem
sources listed in your Gemfile or available on this machine.
Run `bundle install` to install missing gems.

C:\RubyWork\gatebook>bundle update
Fetching gem metadata from https://rubygems.org/..........
Fetching version metadata from https://rubygems.org/..
Fetching dependency metadata from https://rubygems.org/.
Resolving dependencies...
Using rake 11.3.0
Using concurrent-ruby 1.0.2
Using i18n 0.7.0
Using minitest 5.10.0
Using thread_safe 0.3.5
Using builder 3.2.2
Using erubis 2.7.0
Using mini_portile2 2.1.0
Using rack 2.0.1
Using nio4r 1.2.1
Using websocket-extensions 0.1.2
Using mime-types-data 3.2016.0521
Using arel 7.1.4
Using bundler 1.13.6
Using coffee-script-source 1.11.1
Using execjs 2.7.0
Using method_source 0.8.2
Using thor 0.19.4
Using debug_inspector 0.0.2
Using multi_json 1.12.1
Using json 2.0.2
Using puma 3.6.2
Using sass 3.4.22
Using tilt 2.0.5
Using temple 0.7.7
Using sqlite3 1.3.12
Using turbolinks-source 5.0.0
Using tzinfo 1.2.2
Using nokogiri 1.6.8.1
Using rack-test 0.6.3
Using sprockets 3.7.0
Using websocket-driver 0.6.4
Using mime-types 3.1
Using coffee-script 2.4.1
Using uglifier 2.7.1
Using slim 3.0.0
Using turbolinks 5.0.1
Using activesupport 5.0.0.1 (was 4.2.7.1)
Using tzinfo-data 1.2016.10
Using loofah 2.0.3
Using mail 2.6.4
Using rails-dom-testing 2.0.1
Using globalid 0.3.7
Using activemodel 5.0.0.1 (was 4.2.7.1)
Using jbuilder 2.6.1
Using rails-html-sanitizer 1.0.3
Using activejob 5.0.0.1 (was 4.2.7.1)
Using activerecord 5.0.0.1 (was 4.2.7.1)
Using actionview 5.0.0.1 (was 4.2.7.1)
Using actionpack 5.0.0.1 (was 4.2.7.1)
Using actioncable 5.0.0.1 (was 4.2.7.1)
Using actionmailer 5.0.0.1 (was 4.2.7.1)
Using railties 5.0.0.1 (was 4.2.7.1)
Using sprockets-rails 3.2.0
Using coffee-rails 4.2.1
Using jquery-rails 4.2.1
Using web-console 3.4.0
Installing rails 5.0.0.1 (was 4.2.7.1)
Using sass-rails 5.0.6
Bundle updated!

C:\RubyWork\gatebook>
C:\RubyWork\gatebook>rails -v
Rails 5.0.0.1

C:\RubyWork\gatebook>rails s
=> Booting Puma
=> Rails 5.0.0.1 application starting in development on http://localhost:3000
=> Run `rails server -h` for more startup options
*** SIGUSR2 not implemented, signal based restart unavailable!
*** SIGUSR1 not implemented, signal based restart unavailable!
*** SIGHUP not implemented, signal based logs reopening unavailable!
Puma starting in single mode...
* Version 3.6.2 (ruby 2.2.5-p319), codename: Sleepy Sunday Serenity
* Min threads: 5, max threads: 5
* Environment: development
* Listening on tcp://localhost:3000
Use Ctrl-C to stop
Started GET "/" for ::1 at 2016-12-01 18:22:09 +0900
Started GET "/" for ::1 at 2016-12-01 18:22:10 +0900
  ActiveRecord::SchemaMigration Load (0.0ms)  SELECT "schema_migrations".* FROM
"schema_migrations"
  ActiveRecord::SchemaMigration Load (0.0ms)  SELECT "schema_migrations".* FROM
"schema_migrations"
Processing by HomeController#top as HTML
Processing by HomeController#top as HTML
  Rendering home/top.html.erb within layouts/application
  Rendering home/top.html.erb within layouts/application
  Rendered home/top.html.erb within layouts/application (5.0ms)
  Rendered home/top.html.erb within layouts/application (2.5ms)
Completed 500 Internal Server Error in 398ms (ActiveRecord: 0.0ms)



ActionView::Template::Error (Permission denied @ utime_failed - C:/RubyWork/gate
book/tmp/cache/assets/sprockets/v3.0/2B/2BLEsUhwGIsUvJQ37HFD_Hf9qHpr1OHl2YeZ8X16
uzA.cache):
    3:   <head>
    4:     <title>Gatebook</title>
    5:       <%= csrf_meta_tags %>
    6:    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolin
ks-track' => true %>
    7:    <%= javascript_include_tag 'application', 'data-turbolinks-track' => t
rue %>
    8:          <style>/* 共通レイアウト ================================ */
    9: body {

app/views/layouts/application.html.erb:6:in `_app_views_layouts_application_html
_erb__2079029030_63889060'
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/template_error.html.erb within rescues/la
yout
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_source.html.erb
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_source.html.erb (7.5ms)
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_trace.html.erb
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_trace.html.erb (5.0ms)
Completed 500 Internal Server Error in 2170ms (ActiveRecord: 0.0ms)


  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_request_and_response.html.erb

  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_request_and_response.html.erb (0.0ms)
ActionView::Template::Error (TypeError: オブジェクトでサポートされていないプロパ
ティまたはメソッドです。):
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/template_error.html.erb within rescues/lay
out (1052.5ms)
    3:   <head>
    4:     <title>Gatebook</title>
    5:       <%= csrf_meta_tags %>
    6:    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolin
ks-track' => true %>
    7:    <%= javascript_include_tag 'application', 'data-turbolinks-track' => t
rue %>
    8:          <style>/* 共通レイアウト ================================ */
    9: body {

app/views/layouts/application.html.erb:6:in `_app_views_layouts_application_html
_erb__2079029030_63889060'
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/template_error.html.erb within rescues/la
yout
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_source.html.erb
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_source.html.erb (7.5ms)
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_trace.html.erb
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_trace.html.erb (2.5ms)
  Rendering C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action
_dispatch/middleware/templates/rescues/_request_and_response.html.erb
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/_request_and_response.html.erb (2.5ms)
  Rendered C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionpack-5.0.0.1/lib/action_
dispatch/middleware/templates/rescues/template_error.html.erb within rescues/lay
out (942.5ms)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • kusanagi

    2016/11/29 18:57

    ログは画像でなくテキストで全文載せてください。ここにくるまでのコマンド入力もできれば。

    キャンセル

  • ryuji.morimoto

    2016/12/01 18:27

    コメントありがとうございます。コマンドとエラー内容を追記いたしました。

    キャンセル

回答 1

+1

ActionView::Template::Error (Permission denied @ utime_failed - C:/RubyWork/gate
book/tmp/cache/assets/sprockets/v3.0/2B/2BLEsUhwGIsUvJQ37HFD_Hf9qHpr1OHl2YeZ8X16
uzA.cache):

この部分ですかね。該当するファイルのパーミッションがおかしいのかな。
Windows環境でRailsを動かした時の問題の一つでしょうか。
ちなみにファイルのパーミッションはどうなってますでしょうか。

以下のコマンドを試してみてください。
bin/rails tmp:cache:clear
bin/rails assets:precompile 

もしくは、tmpフォルダ以下を一度削除してから実行するとか。(やや乱暴か?)

以下のURLを参考になるかもしれません。
http://stackoverflow.com/questions/7524262/permission-denied-in-tmp

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/12/06 11:21

    上記コマンドを実行してみましたが、うまく動作しませんでした。。

    ガチャガチャといじっていたのですが、
    どうにもうまく動作せず。。

    一旦、ヘルパーの使用をやめて学習を続けたいと思います。

    キャンセル

  • 2017/01/01 08:02

    もう解決されたかもしれませんが、Windowsではディレクトリのプロパティからフルコントロールを与えてやればうまくいきました

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.32%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る